import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:navigine_api/navigine_api.dart';
import './location_detail.dart';

class LocationsScreen extends StatefulWidget {
  @override
  _LocationsScreenState createState() => _LocationsScreenState();
}

class _LocationsScreenState extends State<LocationsScreen> {
  // List<Location> locations = [];
  Location locations;
  @override
  void initState() {
    super.initState();
    NavigineAPI n = NavigineAPI.initilize(userHash: "3F77-4634-FCEE-2423");
    n.getLocation(35903).then((data) async {
      var image = await ImagePicker.pickImage(source: ImageSource.gallery);
      data.addNewSubLocation("newnewsubbb1", image);
      setState(() {
        locations = data;
        print(data);
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Navigine API  app'),
      ),
      body: ListView.builder(
        itemBuilder: (context, index) {
          Location l = locations;
          return ListTile(
            onTap: () {
              Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => LocationDetail(location: l)));
            },
            title: Text(l.title ?? ""),
          );
        },
        // itemCount: locations.length,
      ),
    );
  }
}
